<!DOCTYPE html>
<html lang="es">

    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Ejemplo de DOM</title>
    </head>
    
    <body id="bodyCentral">
        <h1 class="important">Ejemplo de DOM</h1>
        <p>Vamos a ver una página de ejemplo para poder "jugar" con el DOM</p>
        <h2>Algunos párrafos</h2>
        <div id="lipsum">
            <p>
                Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin feugiat ex in eleifend finibus. Morbi
                vulputate iaculis tortor, nec luctus neque consectetur sit amet. Aliquam erat volutpat. Suspendisse auctor
                ante id est hendrerit aliquam. Sed libero libero, bibendum eget rhoncus ut, consequat eget arcu. Maecenas ac
                fermentum elit. Integer tempor rutrum erat at dapibus. Duis ornare ornare efficitur. Pellentesque eu nibh id
                arcu volutpat mollis vitae eget dolor. Donec velit nibh, vestibulum et ante sed, interdum condimentum arcu.
                Vivamus in purus vitae nunc iaculis venenatis et a neque. Etiam vulputate felis non est aliquam, id ultrices
                ipsum consequat.
            </p>
            <p>
                Vestibulum facilisis est in fringilla volutpat. Sed sollicitudin odio ac tristique placerat. Sed eleifend
                feugiat consequat. Vivamus consequat tristique sem non suscipit. Praesent pulvinar pretium blandit. Sed at
                diam condimentum, faucibus tellus ut, eleifend leo. Nullam sed rhoncus lectus. Maecenas eget ex eleifend,
                pulvinar lectus ut, bibendum quam. Donec vestibulum interdum mattis.
                let titulo = document.getElementById("titulo");
     
                var parrafos = document.getElementsByTagName("p");
         
                let importante = document.getElementsByClassName("importante");</p>
            <p>
                Duis vulputate condimentum massa sit amet pulvinar. Sed sollicitudin mauris in laoreet condimentum.
                Pellentesque congue mauris libero, in scelerisque leo sodales sed. Phasellus tristique sodales consectetur.
                Morbi porttitor mattis nibh. Nulla quis eros vitae dolor porttitor placerat ac eu nisl. Proin mattis
                ultrices tellus, eget pharetra nibh pulvinar quis. In vitae ligula mi. Sed commodo commodo purus, nec dictum
                neque semper in. Donec molestie libero leo, et hendrerit mauris efficitur eget. Nulla molestie bibendum
                blandit. Curabitur sed porttitor mi. Sed aliquam felis et lacus pretium consectetur.
            </p>
        </div>
        <h2>Una lista</h2>
        <ul>
            <li class="important">Donec sit amet eros id orci suscipit ultricies.</li>
            <li>Vivamus et nibh accumsan, ultricies nisi vel, viverra nisl.</li>
            <li class="important">Aenean imperdiet mtexto que destacamosi non augue tristique, sit amet sagittis nulla ultricies.</li>
            <li class="important">Nullam vitae risus rutrum quam dapibus viverra.</li>
        </ul>
        <h2>Un formulario</h2>
        <form action="#">
            <label for="input1">Dato 1
                <input id="input1" type="text" size="20"><br>
            </label>
            <label for="input2">Dato 2
                <input id="input2" type="text" size="20"><br>
            </label>
            <label for="input3">Dato 3
                <input id="input3" type="text" size="20"><br>
            </label>
            <label>Escoge el sexo:<br>
                <input type="radio" name="sexo" value="H" checked>Hombre<br>
                <input type="radio" name="sexo" value="M">Mujer
            </label>
    
            <p>
                <input type="button" id="button1" value="Button 1">
                <input type="button" id="button2" value="Button 2">
            </p>
        </form>
        <script>
                   
            //Ejercicio 1
            /*console.log("Ejercicio 1");
            var divs = document.querySelector("div p");
            console.log(divs);
    
            var divs2 = document.getElementById("lipsum");
            var divsP = divs2.querySelector("p");
            console.log(divsP);
    
            //Ejercicio 2
            console.log("Ejercicio 2");
    
            var divs3 = document.getElementById("lipsum");
            var divsP2 = divs3.getElementsByTagName("p");
            console.log(divsP2[1]);
    
            var divs4 = document.querySelectorAll("div p:nth-child(2)")
            console.log(divs4);
    
            //Ejercicio 3
            console.log("Ejercicio 3");
            var lista = document.getElementsByTagName("ul")[-1];
            console.log(lista);
    
            var lista2 = document.querySelectorAll("ul li:last-child");
            console.log(lista2);
    
            //Ejercicio 4
            console.log("Ejercicio 4");
            var formulario = document.getElementsByTagName("form")[3];//document.querySelectorAll("form label:last-of-type");
            console.log(formulario);
    
            var formulario2 = document.querySelectorAll("form label:last-child");
            console.log(formulario2);
    
            //Ejercicio 5
            console.log("Ejercicio 5");
            var sexo = document.querySelector("label:last-of-type");
            console.log(sexo.innerHTML);
    
            //Ejercicio 6
            console.log("Ejercicio 6");
            console.log(document.querySelector("label:last-of-type").textContent)
            //Ejercicio 7
            console.log("Ejercicio 7");
            console.log(sexo.querySelector("input").value)
            //Ejercicio 8
            console.log("Ejercicio 8");
            console.log(sexo.querySelectorAll("input").value)
            
            //Ejercicio 3: Atributos
            let parrafos = document.getElementsByTagName("p");
            for( let i = 0; i < parrafos.length; i++){
                parrafos[i].id = "parrafo "+i;
            }body.after(div1, divlipsum);
            */
           let boton = document.getElementById("button1");
            boton.setAttribute("value","aceptar");
            boton.style.backgroundColor="green";
            
            let boton2 = document.getElementById("button2");
            boton2.setAttribute("value","cancelar");
            boton2.style.backgroundColor="red";
            /*
            let input = document.getElementById("input1");
            input.style.backgroundColor="blue";
            */
            
            //Ejercicio 4: ClassList
            
            /*let il = document.querySelectorAll("il");
            for (const item of il) {
                
            }
            let h2 = document.getElementsByTagName("h2");
            for (const itemh2 of h2) {
                
            }*/

            //Ejercicio 5 Clases
            //5.1 Añade una div antes del listado.
            let div1 = document.createElement("div");
            let div1Text = document.createTextNode("Texto del div");
            div1.appendChild(div1Text);

            let body = document.getElementById("bodyCentral");
            let h2 = document.getElementsByTagName("h2");
            body.insertBefore(div1, h2[1]);

            //5.2 Crea dos artículos con los elementos que consideres (títulos, párrafos, enlaces…)
            let articulo1 = document.createElement("article");
            articulo1H1 = document.createElement("h1");
            articulo1Texto = document.createTextNode("Articulo 1");
            articulo1P = document.createElement("p");
            articulo1PText = document.createTextNode("ESto es el articulo 1");
            articulo1.appendChild(articulo1H1);
            articulo1H1.appendChild(articulo1Texto);
            articulo1.appendChild(articulo1P);
            articulo1P.appendChild(articulo1PText);

            let articulo2 = document.createElement("article");
            articulo2H1 = document.createElement("h1");
            articulo2Texto = document.createTextNode("Articulo 1");
            articulo2P = document.createElement("p");
            articulo2PText = document.createTextNode("ESto es el articulo 1");
            articulo2.appendChild(articulo2H1);
            articulo2H1.appendChild(articulo2Texto);
            articulo2.appendChild(articulo2P);
            articulo2P.appendChild(articulo2PText);

            //5.3 Añadelos a la div que has creado.

            div1.appendChild(articulo1);
            div1.appendChild(articulo2);


            //5.4 Añade un nuevo botón al formulario que esté en medio de Cancelar y Aceptar que sea “Dejar para más tarde”.
            
            let botones = document.querySelector("form p");
            let botonMasTarde = document.createElement("input");
            botonMasTarde.setAttribute("type","button");
            botonMasTarde.setAttribute("value","Dejar para más tarde");
            let boton1 = document.getElementById("button2");
            console.log(boton1);
            botones.insertBefore(botonMasTarde, boton1);
            
            //5.5 Elimina el label con el Dato1.
            let dato1 = document.getElementById("input1");
            let dato1Txt = dato1[0].childNodes[0].nodeValue;
            dato1.removeChild(dato1Txt);

            //5.6 Para nota… Recoloca “Una lista” y la <ul> correspondiente al final del documento.
            


    </script>
</body>

</html>